{
"name": "John Silva"
}
{
"success": true
}
Profile
Update Name
Update the user profile display name in the WhatsApp session
PUT
/
api
/
{session}
/
profile
/
name
{
"name": "John Silva"
}
{
"success": true
}
Description
This endpoint allows you to update the profile display name of the user authenticated in the WhatsApp session. The name will be changed on the WhatsApp profile.URL Parameters
Request Body
New profile display name. This will be the name that other users will see on WhatsApp.
{
"name": "John Silva"
}
Response
{
"success": true
}
Status Codes
200- Name updated successfully400- Invalid parameters or missing name401- Unauthorized500- Internal server error
Usage Example
curl -X PUT https://api.wappfy.com.br/api/my-session/profile/name \
-H "Content-Type: application/json" \
-d '{"name": "John Silva"}'
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/profile/name`, {
method: 'PUT',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'John Silva'
})
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.put(
f'https://api.wappfy.com.br/api/{session}/profile/name',
json={'name': 'John Silva'}
)
data = response.json()
print(data)
